<?php namespace EscapeWork\Manager\Medias\Commands;

use Illuminate\Console\Command;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Input\InputArgument;
use File;

class ConfigureCommand extends Command
{

    /**
     * The console command name.
     *
     * @var string
     */
    protected $name = 'manager-medias:configure';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Migrations, Seeds, plugins e tudo que precisar ser configurado.';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return void
     */
    public function fire()
    {
        $this->comment('--- Configurando escapework/manager-medias ---');

        # migrations
        $this->comment('Realizando as migrações do escapework/manager-medias...');
        $this->call('migrate', array('--package' => 'escapework/manager-medias', '--force'));

        # asset:publish
        $this->comment('Publicando assets do escapework/manager-medias...');
        try {
            $this->call('asset:publish', array('package' => 'escapework/manager-medias'));
        } catch (\RuntimeException $e) {

        }

        # public folder
        $path = public_path().'/files/medias';

        if (! File::exists($path)) {
            File::makeDirectory($path, 0773);
            $this->info('diretório public/files/medias criado!');
        }

        $this->comment('--- escapework/manager-medias configurado ---');
    }

    /**
     * Get the console command arguments.
     *
     * @return array
     */
    protected function getArguments()
    {
        return array();
    }

    /**
     * Get the console command options.
     *
     * @return array
     */
    protected function getOptions()
    {
        return array();
    }

}
