<?php namespace EscapeWork\Manager\Medias\Controllers;

use EscapeWork\Manager\Controllers\ManagerController;
use EscapeWork\Manager\Medias\Repositories\MediaRepository;
use EscapeWork\Manager\Medias\Repositories\MediaModelSizeRepository;
use EscapeWork\Manager\Medias\Resize\RecreateSizes;
use App;
use Input;
use Response;

class MediaModelSizeController extends ManagerController
{

    public function __construct(
        MediaRepository $media,
        MediaModelSizeRepository $mediaModelSize,
        RecreateSizes $recreateSizes)
    {
        parent::__construct();

        $this->media          = $media;
        $this->mediaModelSize = $mediaModelSize;
        $this->recreateSizes  = $recreateSizes;
    }

    public function index()
    {
        return $this->mediaModelSize->getByMediaModel(Input::get('id'));
    }

    public function store()
    {
        $this->mediaModelSize->fill(Input::all());

        if (! $this->mediaModelSize->validate()) {
            return Response::json(MediaModelSize::$messages);
        }

        $this->mediaModelSize->save();

        # recriando os tamanhos das midias
        $this->media->setMediaModel($this->mediaModelSize->mediaModel->model);
        $this->recreateSizes->recreate($this->media);

        return $this->mediaModelSize->getModel();
    }

    public function show($id)
    {
        return $this->mediaModelSize->find($id);
    }

    public function destroy($id)
    {
        $this->mediaModelSize = $this->mediaModelSize->find($id);
        $this->mediaModelSize->delete();

        return Response::json(array('message' => 'Tamanho excluído com sucesso!'));
    }
}
