<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddNewFieldsToMediaModelsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('manager_media_models', function(Blueprint $table)
		{
			$table->string('model_title')->default('title')->after('model');
            $table->string('model_route')->default('manager.home')->after('model_title');
            $table->string('page_title')->nullable()->default(null)->after('model_route');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('manager_media_models', function(Blueprint $table)
		{
			$table->dropColumn('model_title');
            $table->dropColumn('model_route');
            $table->dropColumn('page_title');
		});
	}

}
