@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a></li>
        <li class="active"><a href="{{ route('manager.medias.models.index') }}">Mídias</a></li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Mídias <small>Models relacionados</small></h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.medias.models.create') }}" class="btn btn-primary">Inserir novo model</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page=header -->

    @include('manager::inc.messages')

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th width="5%">#</th>
                <th>Model</th>
                <th width="14%">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($mediasModel as $mediaModel)
                <tr>
                    <td>{{ $mediaModel->id }}</td>
                    <td>{{ $mediaModel->model }}</td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <button type="button" class="btn btn-default btn-open-sizes" title="Ver tamanhos" data-id="{{ $mediaModel->id }}">
                                <span class="glyphicon glyphicon-resize-full"></span> tamanhos
                            </button>

                            <a href="{{ route('manager.medias.models.edit', $mediaModel->id) }}" class="btn btn-default" title="Editar">
                                <span class="glyphicon glyphicon-pencil"></span> editar
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->

    <div class="modal fade" id="modal-sizes" style="width: 90%; left: 5%; margin-left: 0px;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>

                    <h3>Tamanhos do model</h3>
                </div><!-- .modal-header -->

                <div class="modal-body">

                </div><!-- .modal-body -->

                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-close-modal" data-dismiss="modal">Fechar</button>
                </div><!-- .modal-footer -->
            </div>
        </div>
    </div><!-- .modal -->

    <script type="text/template" id="template-sizes">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th class="span3">Prefixo</th>
                    <th class="span3">Largura</th>
                    <th class="span3">Altura</th>
                    <th class="span1">Redimensionar</th>
                    <th class="span2">Ações</th>
                </tr>
            </thead>
            <tbody id="sizes">
            </tbody>
        </table>

        <hr />

        <h4>Novo tamanho</h4>

        <table class="table table-striped">
            <thead>
                <tr>
                    <th class="span3">Prefixo</th>
                    <th class="span3">Largura</th>
                    <th class="span3">Altura</th>
                    <th class="span1">Redimensionar</th>
                    <th class="span2">Ações</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td><input type="text" name="prefix" id="prefix" class="form-control" placeholder="Prefixo" maxlength="10"></td>
                    <td><input type="number" name="width" id="width" class="form-control" placeholder="Largura" maxlength="4"></td>
                    <td><input type="number" name="height" id="height" class="form-control" placeholder="Altura" maxlength="4"></td>
                    <td><input type="checkbox" name="resize" id="resize" class="form-control" value="1"></td>
                    <td>
                        <button type="button" class="btn btn-success btn-small" id="btn-save-size" title="Inserir">
                            <span class="glyphicon glyphicon-ok"></span>
                        </button>
                    </td>
                </tr>
            </tbody>
        </table>
    </script>

    <script type="text/template" id="template-size-item">
        <td><%= prefix %></td>
        <td><%= width %></td>
        <td><%= height %></td>
        <td><%= resize %></td>
        <td>
            <a href="#/<%= id %>" class="btn btn-danger btn-small btn-delete-size" title="Excluir">
                <span class="glyphicon glyphicon-trash"></span>
            </a>
        </td>
    </script>
@stop

@section('scripts')
    @parent

    <script type="text/javascript" src="{{ asset('packages/escapework/manager-medias/components/underscore/underscore-min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('packages/escapework/manager-medias/components/backbone/backbone-min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('packages/escapework/manager-medias/assets/javascripts/js/models/index.js') }}"></script>
@stop
