<?php namespace EscapeWork\Manager\Medias\Resize;

use Mockery as m;

class RecreateSizesTest extends \PHPUnit_Framework_TestCase
{

    public function test_recreate()
    {
        $media = m::mock('EscapeWork\Manager\Medias\Repositories\Media\MediaRepository');
        $media->shouldReceive('getMediaModelSizes')->once()->withNoArgs()->andReturn([]);
        $media->shouldReceive('getModelMedias')->once()->withNoArgs()->andReturn([1, 2]);
        $media->shouldReceive('getDirectory')->times(2)->withNoArgs()->andReturn('/tmp');

        $recreateSizes = m::mock('EscapeWork\Manager\Medias\Resize\RecreateSizes[recreateSizes]');
        $recreateSizes->shouldReceive('recreateSizes')->once()->with(1, [], '/tmp');
        $recreateSizes->shouldReceive('recreateSizes')->once()->with(2, [], '/tmp');

        $recreateSizes->recreate($media);
    }
}
